#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const package_json_1 = __importDefault(require("../package.json"));
const utils_1 = __importDefault(require("../src/utils"));
commander_1.default.version(package_json_1.default.version, '-v, --version');
commander_1.default
    .option('-m, --mock', 'mock api')
    .command('start')
    .description('run project')
    .action(() => utils_1.default.requireModule('../script/start')(commander_1.default.opts()));
commander_1.default
    .command('build')
    .description('build project')
    .action(() => utils_1.default.requireModule('../script/build')());
commander_1.default
    .command('test')
    .description('test project')
    .action(() => utils_1.default.requireModule('../script/test')(commander_1.default.args));
commander_1.default.parse(process.argv);
