"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const root = fs_1.default.realpathSync(process.cwd());
function getResolvePath(filePath) {
    return path_1.default.resolve(root, filePath);
}
function getJoinPath(...args) {
    return path_1.default.join(root, ...args);
}
function getNodeModules(filePath) {
    return path_1.default.resolve(root, 'node_modules', filePath);
}
exports.default = {
    root,
    src: getResolvePath('src'),
    appTsConfig: getResolvePath('tsconfig.json'),
    appNodeModules: getNodeModules(''),
    getNodeModules,
    getJoinPath,
    getResolvePath
};
